@import '../../../assets/styles/vars.css';

.sharebar {
  & ul.share-bar {
    list-style: none;
    padding-left: 0;
    display: inline-block;
    margin-top: 5px;

    & li {
      display: inline-block;
      float: left;
      padding: 4px;
      margin-right: 4px;
      &.share-button {
        &.print {
          & button:hover svg {
            fill: var(--print);
          }
          & .tooltip {
            color: var(--print);
          }
        }
        &.link {
          & button:hover svg {
            fill: var(--link);
          }
          & .tooltip {
            color: var(--link);
          }
        }
        &.facebook {
          & button:hover svg {
            fill: var(--facebook);
          }
          & .tooltip {
            color: var(--facebook);
          }
        }
        &.twitter {
          & button:hover svg {
            fill: var(--twitter);
          }
          & .tooltip {
            color: var(--twitter);
          }
        }
        &.google-plus {
          & button:hover svg {
            fill: var(--google-plus);
          }
          & .tooltip {
            color: var(--google-plus);
          }
        }
        &.pinterest {
          & button:hover svg {
            fill: var(--pinterest);
          }
          & .tooltip {
            color: var(--pinterest);
          }
        }
        & .tooltip {
          transform: translate(calc(-50% + 20px), calc(100% + 20px));
        }
      }
      &:last-of-type {
        margin-right: 0;
      }
    }
    & .bookmark-btn {
      position: relative;
      padding: 0;
      margin-top: 4px;
      margin-right: 6px;
    }

    & button {
      border: none;
    }

    & button,
    & a {
      display: block;
      padding: 10px;
      height: 42px;
      width: 42px;
      & svg {
        fill: #aaaaaa;
      }
      &:hover {
        border: 1px solid #f4f3f4;
        padding: 9px;
        border-radius: 100%;
        box-shadow: 1px 1px 8px 0 rgba(157, 170, 177, .5);
      }
    }
  }

  &.share-button {
    &.link svg {
      fill: var(--link-color);
    }
  }
}